Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 286427 - =net-nds/openldap-2.4.17-r1 Invalid USE logic/bad ebuild
Summary: =net-nds/openldap-2.4.17-r1 Invalid USE logic/bad ebuild
Status: VERIFIED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: LDAP Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-25 16:15 UTC by Andreis Vinogradovs ( slepnoga )
Modified: 2010-07-15 12:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreis Vinogradovs ( slepnoga ) 2009-09-25 16:15:14 UTC
I have build =openldap-2.4.17-r1 whith USE=-*, but ebuild enable 
configure options syslog, i.e --enable-syslog.
If set USE="-* minimal", this options still included and ebuild does not warn that a use set of corrupted/invalid.
Comment 1 Sebastian Luther (few) 2009-09-25 18:48:45 UTC
Looks like the syslog use flag is not used in the ebuild.
Comment 2 Andreis Vinogradovs ( slepnoga ) 2009-09-26 06:01:22 UTC
(In reply to comment #1)
> Looks like the syslog use flag is not used in the ebuild.
> 

gw ~ # emerge -pv openldap

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] net-nds/openldap-2.4.17-r1  USE="berkdb crypt experimental* icu* ipv6 kerberos* perl sasl ssl syslog* tcpd -cxx -debug -gnutls -iodbc -minimal -odbc -overlays -samba (-selinux) -slp -smbkrb5passwd" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB
gw ~ #
Comment 3 Andreis Vinogradovs ( slepnoga ) 2009-09-26 06:05:10 UTC
openldap-2.4.17-r1 ebuild :

16 IUSE_DAEMON="crypt icu samba slp tcpd experimental minimal"
 17 IUSE_BACKEND="+berkdb"
 18 IUSE_OVERLAY="overlays perl"
 19 IUSE_OPTIONAL="gnutls iodbc sasl ssl odbc debug ipv6 syslog selinux"
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-11-03 21:13:06 UTC
Fixed in 2.4.19.